<template>
  <div class="modal-container" id="unauthorizedModal">
    <div class="modal-header">
      <p class="title">{{ $t('common.modal.unauthorized.title') }}</p>
      <button type="button" @click="closeModal()" class="btn-close"><span aria-hidden="true">×</span></button>
    </div>
    <div class="modal-body">
      <div class="form-group">
        <p>{{ $t('common.modal.unauthorized.body') }}</p>
      </div>
      <div class="text-center">
        <button type="button" class="btn btn-submit" @click="closeModal()">{{ $t('common.modal.unauthorized.login') }}</button>
      </div>
    </div>
  </div>
</template>
<script>
import OtpConfirmModal from '../../../common/components/Otp/OtpConfirmModal.vue';

export default {
  methods: {
    closeModal () {
      window.location.href = '/login';
    },
  },
};
</script>
<style lang="scss" scoped>
  @import '../../../../sass/_variables.scss';
  * {
    font-family: $font-family-home;
  }
  #unauthorizedModal {
    width: 400px;
    height: 200px;
    border-radius: 10px;
    background-color: #f7f7f7;
    box-shadow: 0 2px 40px 0 rgba(0, 0, 0, 0.18);
    margin: auto;
    .modal-header {
      padding: 0;
      border: none;
      position: relative;
      .title {
        font-size: 18px;
        font-weight: bold;
        color: #1c1c1c;
        text-align: center;
        margin: 30px auto 5px;
      }
      .btn-close {
        width: 30px;
        height: 30px;
        background-color: $bg_white;
        border: 1px solid $white;
        border-radius: 50%;
        position: absolute;
        outline: none;
        top: 15px;
        right: 15px;
        span {
          cursor: pointer;
          color: $thin_gray;
          font-size: 17px;
        }
      }
    }
    .modal-body {
      margin: 0;
      padding: 0 20px;
      .form-group {
        text-align: center;
        background: none;
        margin: 20px auto 0;
        position: relative;
        padding: 0;
        width: 100%;
        font-size: 14px;
      }
      .btn-submit {
        margin-top: 10px;
        width: 90px;
        height: 32px;
        border-radius: 30px;
        border: solid 1px $dark_orange;
        font-size: 12px;
        font-weight: bold;
        font-style: normal;
        font-stretch: normal;
        line-height: normal;
        letter-spacing: 0.5px;
        color: $orange;
        outline: none;
        cursor: pointer;
        background: transparent;
      }
    }
  }
</style>
